Page MenuHomeFreeBSD

arm64 gicv3: add IORT and NUMA support
ClosedPublic

Authored by jchandra on Nov 16 2018, 5:50 AM.

Details

Summary

acpi_iort.c has added support to query GIC proximity and MSI XREF identifier for multiple ITS blocks.
Use this when GIC ITS blocks are initialized from ACPI.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jchandra created this revision.Nov 16 2018, 5:50 AM
jchandra updated this revision to Diff 50475.Nov 16 2018, 6:03 AM
pi added a subscriber: pi.Dec 21 2018, 8:05 PM
andrew accepted this revision.Feb 4 2019, 5:25 PM
This revision is now accepted and ready to land.Feb 4 2019, 5:25 PM
This revision was automatically updated to reflect the committed changes.